PO4A-TRANSLATE(1p)

NOME
po4a-translate - converte um arquivo PO de volta para o formato de documentação

SINOPSE
po4a-translate -f fmt -m mestre.doc -p XX.po -l XX.doc

(XX.doc é a saída, todos outros são entrada)

DESCRIÇÃO
O objetivo do projeto po4a (PO for anything, ou PO para qualquer coisa) é facilitar traduções (e o mais interessante, a manutenção das traduções) usando as ferramentas do gettext em áreas em que não se esperava, como documentação.

O script po4a-translate está encarregado da conversão da tradução (que foi feito em um arquivo PO) de volta para o formato de documentação. O arquivo PO fornecido deveria ser a tradução do arquivo POT, o qual foi fornecido por po4a-gettextize(1).

OPÇÕES

-f, --format
    Formato da documentação que você quer manipular. Use a opção --help-format para ver a lista de formatos disponíveis.

-a, --addendum
    Adiciona um arquivo ao arquivo resultante (para colocar o nome do tradutor ou uma seção "Sobre esta tradução", por exemplo). A primeira linha do arquivo para inserir deveria ser um cabeçalho PO4A indicando para onde ele deveria ser adicionado (veja a seção Como adicionar um texto extra a traduções em po4a(7)).

-A, --addendum-charset
    Conjunto de caracteres dos adendos. Note que todos os adendos deveriam ser do mesmo conjunto de caracteres.

-m, --master
    Arquivo contendo o documento mestre para traduzir.

-M, --master-charset
    Conjunto de caracteres do arquivo contendo o documento para traduzir.

-l, --localized
    Arquivo para o qual o documento localizado (traduzido) deveria ser escrito.

-L, --localized-charset
    Conjunto de caracteres do arquivo contendo o documento localizado.

-p, --po
    Arquivo do qual o catálogo de mensagens deveria ser lido.

-o, --option
    Opções extras para passar o plug-in de formato. Veja a documentação de cada plug-in para mais informações sobre as opções válidas e seus significados. Por exemplo, você poderia passar "-o tablecells" para o analisador AsciiDoc, enquanto o analisador de texto aceitaria "-o tabs=split".

-k, --keep
    Limite mínimo de porcentagem de tradução para manter (i.e. escrever) o arquivo resultante (padrão: 80). I.e. por padrão, arquivos têm que ser traduzido em pelo menos 80% para ser escrito.

-w, --width
    Coluna na qual nós deveríamos quebrar a linha do arquivo resultante.

-h, --help
    Mostra uma mensagem de ajuda.

--help-format
    Lista os formatos de documentação compreendidos pelo po4a.

-V, --version
    Exibe a versão do script e sai.

-v, --verbose
    Aumenta o nível de detalhamento do programa.

-d, --debug
    Imprime algumas informações de depuração.

--porefs tipo[,wrap|nowrap]
    Especifica o formato de referência. O argumento tipo pode ser um de: never para não produzir qualquer referência, file para especificar o arquivo sem o número de linha, counter para substituir os números de linha aumentando o contador e full para incluir referências completas. (padrão: full).

    Argumento pode estar seguido por uma vírgula e as palavras-chaves wrap ou nowrap. Referências são escritas por padrão em uma única linha. A opção wrap quebra as referências em várias linhas, para copiar as ferramentas do gettext (xgettext e msgmerge). Essa opção vai se tornar o padrão em um lançamento futuro, mas ela é mais sensível. A opção nowrap está disponível de forma que usuários que desejarem manter o comportamento antigo podem fazê-lo.

--wrap-po no|newlines|number (padrão: 76)
    Especifica como o arquivo po deve ter sua quebra de linha. Isso permite escolher entre arquivos que tem boa quebra de linha, mas que podem levar a conflitos de git, ou arquivos que são mais fáceis de manipular automaticamente, mas mais difíceis de ler para humanos.

    Historicamente, o pacote gettext reformatou os arquivos po na 77ª coluna para questões cosméticas. Esta opção especifica o comportamento de po4a. Se definido como um valor numérico, o po4a quebrará linha do arquivo po após esta coluna e após novas linhas no conteúdo. Se definido como newlines, o po4a dividirá apenas o msgid e o msgstr após as novas linhas no conteúdo. Se definido como no, o po4a não quebrará linha do arquivo po. A quebra de linha dos comentários de referência é controlado pela opção --porefs.

    Observe que esta opção não afeta a maneira como o msgid e o msgstr sofrem quebra de linhas, ou seja, como os caracteres de nova linha são adicionados ao conteúdo dessas strings.

Adicionando conteúdo (além de traduções) a arquivos gerados
Para adicionar algum conteúdo extra para o documento gerado além do que você traduziu (como o nome do tradutor ou uma seção "Sobre essa tradução"), você deveria usar a opção --addendum.

A primeira linha do adendo deve ser um cabeçalho indicando onde colocá-lo no documento (pode ser antes ou depois de uma parte determinada do documento). O resto do arquivo será adicionado literalmente ao arquivo resultante sem processamento adicional.

Note que se o po4a-translate falha ao adicionar um dos arquivos fornecidos, ele descarta toda a tradução (porque o arquivo que faltou poderia ser um indicando o autor, o que iria evitar que usuários contatassem-no para relatar erros na tradução).

O cabeçalho possui uma sintaxe bem rígida. Para mais informações sobre como usar esse recurso ou como ele funciona, veja a página man po4a(7).

VEJA TAMBÉM
po4a-gettextize(1), po4a-normalize(1), po4a-updatepo(1), po4a(7)

AUTORES
 Denis Barbier <barbier@linuxfr.org>
 Nicolas François <nicolas.francois@centraliens.net>
 Martin Quinson (mquinson#debian.org)

COPYRIGHT E LICENÇA
Copyright 2002-2020 por SPI, inc.

Esse programa é um software livre; você pode redistribuí-lo e/ou modificá-lo sob os termos da GPL (veja o arquivo COPYING).